<?php
global $IsAuditcheck,$_DCACHE,$boardid,$RootID,$Announceid, $_GET, $_POST;
if (!empty($_GET['star'])) {
	$httpreq['star'] = $_GET['star'];
} elseif (!empty($_POST['star'])) {
	$httpreq['star'] = $_POST['star'];
}
if (!empty($_GET['page'])) {
	$httpreq['page'] = $_GET['page'];
} elseif (!empty($_POST['page'])) {
	$httpreq['page'] = $_POST['page'];
}
$RootID = intval($RootID);
$boardid = $_GET['boardid'];
$tourl= '';
switch($board_settings[48]){
	case '0':
		$tourl = 'savvy_dispbbs.php';
		$PostRetrunName = $lang['template.strings13'];
		break;
	case '1':
		$tourl = 'savvy_dispbbs.php?boardid='.$boardid;
		$PostRetrunName = $lang['template.strings14'];
		break;
	case '2':
		if( $IsAudit == 1 ){
			$tourl = 'savvy_dispbbs.php?boardid='.$boardid;
			if( $IsAuditcheck == 1 ){
				$PostRetrunName = $lang['template.strings6'];
			} elseif( $IsAuditcheck == 2 ){
				$PostRetrunName = $lang['template.strings7'];
			} else{
				$PostRetrunName = $lang['template.strings19'];
			}
		} else{
			switch($action){
				case 'snew':
					$tourl = 'savvy_dispbbs.php?boardid='.$boardid.'&id='.$RootID.'&star='.$httpreq['star'].'&page='.$httpreq['page'];
					$PostRetrunName = $lang['template.strings15'];
					break;
				case 'sre':
					$tourl = 'savvy_dispbbs.php?boardid='.$boardid.'&id='.$RootID.'&star='.$httpreq['star'].'&page='.$httpreq['page'];
					$PostRetrunName = $lang['template.strings16'];
					break;
				case 'sedit':
					$tourl = 'savvy_dispbbs.php?boardid='.$boardid.'&id='.$RootID.'&star='.$httpreq['star'].'&page='.$httpreq['page'];
					$PostRetrunName = $lang['template.strings18'];
					break;
				case 'doanswe':
					$tourl = 'savvy_dispbbs.php?boardid='.$boardid.'&id='.$RootID.'&star='.$httpreq['star'].'&page='.$httpreq['page'];
					$PostRetrunName = $lang['template.strings18'];
					break;
			}
		}
		break;
}
require_once INC_PATH.'BoardCache.class.php';
Create_index_forumnum();//20070523
CreateSavvy_BoarderInfo();//论坛知道缓存文件
$returnurl = 'savvy_dispbbs.php?boardid='.$boardid.'&id='.$RootID.'&star='.$httpreq['star'].'&page='.$httpreq['page'];
$boardname = $_DCACHE['all_forums']["{$boardid}"]['boardtype'];
$page = $httpreq['page'];
$gotourl='forum_savvy.php?boardid='.$GLOBALS['boardid'];
?>
<!--post.php##发帖成功页面-->
<script language = "javascript"  type="text/javascript">
<?
	if($tourl == ''){
		echo 'window.location.reload();';
	}
	else{
		echo 'setTimeout(\'location.href="'.$tourl.'";\',0)';	
	}
?>
</script>
